class cfgPatches
{
	class BWMod_Beta
	{
		units[]={BWMod_Tiger_RMK30};
		weapons[]={};
		requiredAddons[]={BWMod};
		requiredVersion=1.0;
	};
};

class BaseTurret;

class CfgNonAIVehicles
{
	class ProxyGunner;
	class ProxyWeapon {};
	class ProxyBWMod_pars3lr: ProxyWeapon {model = "\bwmod_tiger\proxy\bwmod_pars3lr.p3d";	simulation = "maverickweapon";};
	class ProxyBWMod_Stinger: ProxyWeapon {model = "\bwmod_tiger\proxy\bwmod_stinger.p3d";	simulation = "maverickweapon";};
};

class cfgAmmo
{
	class M_TOW_AT;
	class M_Stinger_AA;

#include <ammo_missiles.hpp>
};

class cfgMagazines
{
	class VehicleMagazine;
	class 14Rnd_FFAR;
	class 8Rnd_Stinger;

#include <vehicleMagazines_machineGuns.hpp>
#include <vehicleMagazines_rockets.hpp>
#include <vehicleMagazines_missiles.hpp>
};

class cfgWeapons
{
	class MGun;
	class M2 : MGun
	{
		class manual;
		class close;
		class short;
		class medium;
		class far;
	};

	class RocketPods;
	class MissileLauncher;
	class StingerLauncher_twice;

#include <vehicleWeapons_machineGuns.hpp>
#include <vehicleWeapons_rocketLaunchers.hpp>
#include <vehicleWeapons_missileLaunchers.hpp>
};

class cfgVehicles
{
	class AH64D_EP1;

	class BWMod_Tiger : AH64D_EP1
	{
		accuracy=0.5;
		displayName="UH Tiger";

		BWMod_addonFolder="tiger";
		BWMod_addonPBO="bwmod_air";

		model="\BWMod_Tiger\BWMod_Tiger_RMK.p3d";
		icon="\bwmod_tiger\icon_co.paa";

		faction="Bw";
		vehicleClass="BWMod_vC_Air_ArmyAviation";
		crew="USMC_Soldier_Pilot";

		driverAction="AH1Z_Gunner";
		driverInAction="AH1Z_Gunner";

		memoryPointLRocket="rocket left";
		memoryPointRRocket="rocket right";
		memoryPointMissile[] = {"missile left","missile right"};
		memoryPointMissileDir[] = {"missile left dir","missile right dir"};

		memoryPointsGetInDriver="pos driver";
		memoryPointsGetInDriverDir="pos driver dir";

		extCameraPosition[]={0,1,-20};

		backRotorSpeed=-1.5;

		maxSpeed=260;

		hiddenSelections[]={"tex1","tex3"};
		hiddenSelectionsTextures[]={"\BWMOD_Tiger\tex\tex1_co.paa","\BWMOD_Tiger\tex\tex3_co.paa"};

		class ViewPilot
		{
			initFov = 0.9; 		minFov = 0.3; 		maxFov = 1.0;
			initAngleX = 0; 	minAngleX = -65; 	maxAngleX = 85;
			initAngleY = 0; 	minAngleY = -150; 	maxAngleY = 150;
		};

		class Turrets
		{
			class mainTurret : BaseTurret
			{
				body="mainTurret";						gun="mainGun";
				animationSourceBody="mainTurret";		animationSourceGun="mainGun";

				commanding=-1;
				gunnerAction="AH1Z_Gunner";
				gunnerInAction="AH1Z_Gunner";
				gunnerOpticsModel="\ca\air\optika_AH1Z";
				gunnerOpticsEffect[]={"TankCommanderOptics1","BWTV"};
				gunnerCompartments="GunnerCompartment";
				gunnerForceOptics=0;

				gunBeg="rmk30 end";	//gunBeg=endpoint of the gun
				gunEnd="rmk30 start";	//gunEnd=chamber of the gun
				memoryPointGun="machine gun";

				weapons[]={"BWMod_StingerLauncher","BWMod_PARS3LRLauncher"};
				magazines[]={"BWMod_Stinger_4","BWMod_PARS3LR_8"};

				gunnerGetInAction="GetInLow";
				gunnerGetOutAction="GetOutLow";

				minElev=-60;	maxElev=10;		initElev=0;
				minTurn=-70;	maxTurn=70;		initTurn=0;

				outGunnerMayFire=1;
				startEngine=0;

				castGunnerShadow=1;
				viewGunnerShadow=1;

				class ViewOptics
				{
					initAngleX=0;		minAngleX=-30;		maxAngleX=30;
					initAngleY=0;		minAngleY=-100;		maxAngleY=100;
					initFov=0.155;		minFov=0.047;		maxFov=0.155;
				};
			};
		};

		class Eventhandlers
		{
				//init="handle = _this execVM ""\BWMod_scripts\vehicles\init.sqf"";";
				incomingMissile="_this call BWMod_vFX_IncomingMissile;";
		};

		class Reflectors
		{
			class LandingLight
			{
				color[] = {0.9,0.8,0.8,1};
				ambient[] = {0.1,0.1,0.1,1};
				position="landing light pos";
				direction="landing light dir";
				hitpoint="landing light";
				selection="landing light";
				size=0.5;
				brightness=0.5;
			};
		};

		class MarkerLights
		{
			class PosLight_Left
			{
				color[] = {0.2,0.02,0.02,1};
				ambient[] = {0.3,0.03,0.03,1};
				name="posLight left";
				brightness=0.01;
				blinking=0;
			};
			class posLight_Right
			{
				color[] = {0.02,0.2,0.02,1};
				ambient[] = {0.03,0.3,0.03,1};
				name="posLight right";
				brightness=0.01;
				blinking=0;
			};
			class posLight_Tail
			{
				color[] = {1,1,1,1};
				ambient[] = {0.2,0.2,0.2,1};
				name="posLight tail";
				brightness=0.01;
				blinking=0;
			};
			class StrobeLight
			{
				color[] = {0.2,0.02,0.02,1};
				ambient[] = {0.3,0.03,0.03,1};
				name="strobeLight";
				brightness=0.05;
				blinking=1;
			};
		};

		class AnimationSources
		{
			class disableLandingLight
			{
				source="user";
				animPeriod=0;
				initPhase=0;
			};

			class hideRMK30
			{
				source="user";
				animPeriod=0;
				initPhase=1;
			};

			class pars3lr_hideLeft
			{
				source="user";
				animPeriod=0;
				initPhase=0;
			};

			class pars3lr_hideRight
			{
				source="user";
				animPeriod=0;
				initPhase=0;
			};

			class pars3lr_move
			{
				source="user";
				animPeriod=0;
				initPhase=0;
			};

			class hot3_hideLeft
			{
				source="user";
				animPeriod=0;
				initPhase=0.1;
			};

			class hot3_hideRight
			{
				source="user";
				animPeriod=0;
				initPhase=0.1;
			};

			class hot3_move
			{
				source="user";
				animPeriod=0;
				initPhase=0;
			};

			class ffar_hideLeft
			{
				source="user";
				animPeriod=0;
				initPhase=0.1;
			};

			class ffar_hideRight
			{
				source="user";
				animPeriod=0;
				initPhase=0.1;
			};

			class ffar_move
			{
				source="user";
				animPeriod=0;
				initPhase=0;
			};

			class gunpod_hideLeft
			{
				source="user";
				animPeriod=0;
				initPhase=0.1;
			};

			class gunpod_hideRight
			{
				source="user";
				animPeriod=0;
				initPhase=0.1;
			};

			class gunpod_move
			{
				source="user";
				animPeriod=0;
				initPhase=0;
			};

			class rocketLeft_move
			{
				source="user";
				animPeriod=0;
				initPhase=0;
			};

			class rocketRight_move
			{
				source="user";
				animPeriod=0;
				initPhase=0;
			};
		};

		class UserActions
		{
			class DisableLandingLight
			{
				displayNameDefault="";
				displayName="Disable landing light";
				position="landing light pos";
				radius=150;
				onlyForPlayer=0;
				condition="(player==driver this)and(this animationPhase ""disableLandingLight"" == 0)";
				statement="this animate [""DisableLandingLight"",1]";
			};

			class EnableLandingLight : DisableLandingLight
			{
				displayName="Enable landing light";
				condition="(player==driver this)and(this animationPhase ""disableLandingLight"" == 1)";
				statement="this animate [""DisableLandingLight"",0]";
			};
		};
	};

	class BWMod_Tiger_RMK30 : BWMod_Tiger
	{
		displayName="UHT Tiger (RMK30)";

		class AnimationSources : AnimationSources
		{
			class hideRMK30
			{
				source="user";
				animPeriod=0;
				initPhase=0;
			};
		};
	};
};